## mx4j.tools.remote.soap.axis.ser
Class NotificationSerFactory

    java.lang.Object
      org.apache.axis.encoding.ser.BaseFactory
          org.apache.axis.encoding.ser.BaseSerializerFactory
              mx4j.tools.remote.soap.axis.ser.NotificationSerFactory

All Implemented Interfaces:
  java.io.Serializable, org.apache.axis.encoding.SerializerFactory, javax.xml.rpc.encoding.SerializerFactory

public class NotificationSerFactory
extends org.apache.axis.encoding.ser.BaseSerializerFactory

Version:
  $Revision: 1.4 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`getSerializer, javaType, ser, serClass, serClassConstructor, xmlType`

Fields inherited from class org.apache.axis.encoding.ser.BaseFactory
`methodCache`

Constructor Summary
`NotificationSerFactory(java.lang.Class javaType, javax.xml.namespace.QName xmlType)`

Methods inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`createFactory, getGeneralPurpose, getGetSerializer, getJavaType, getSerClassConstructor, getSerializerAs, getSerializerAsInternal, getSpecialized, getSupportedMechanismTypes, getXMLType`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationSerFactory

    public NotificationSerFactory(java.lang.Class javaType,
                                  javax.xml.namespace.QName xmlType)

Copyright © 2001-2003 MX4J Team. All Rights Reserved.